org.apache.struts2.views.jsp.ui

## Class AbstractUITag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.apache.struts2.views.jsp.StrutsBodyTagSupport
      - - org.apache.struts2.views.jsp.ComponentTagSupport
        - - org.apache.struts2.views.jsp.ui.AbstractUITag

- All Implemented Interfaces:
    Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag
  Direct Known Subclasses:
    AbstractClosingTag, AbstractListTag, ActionErrorTag, ActionMessageTag, CheckboxTag, ComponentTag, DateTextFieldTag, DebugTag, FieldErrorTag, FileTag, HeadTag, HiddenTag, LabelTag, ResetTag, TextareaTag, TextFieldTag, TokenTag

      public abstract class AbstractUITag
      extends ComponentTagSupport
      implements javax.servlet.jsp.tagext.DynamicAttributes

  Abstract base class for all UI tags.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `accesskey`
    `protected String` | `cssClass`
    `protected String` | `cssErrorClass`
    `protected String` | `cssErrorStyle`
    `protected String` | `cssStyle`
    `protected String` | `disabled`
    `protected Map<String,Object>` | `dynamicAttributes`
    `protected String` | `errorPosition`
    `protected String` | `id`
    `protected String` | `javascriptTooltip`
    `protected String` | `key`
    `protected String` | `label`
    `protected String` | `labelposition`
    `protected String` | `labelSeparator`
    `protected String` | `name`
    `protected String` | `onblur`
    `protected String` | `onchange`
    `protected String` | `onclick`
    `protected String` | `ondblclick`
    `protected String` | `onfocus`
    `protected String` | `onkeydown`
    `protected String` | `onkeypress`
    `protected String` | `onkeyup`
    `protected String` | `onmousedown`
    `protected String` | `onmousemove`
    `protected String` | `onmouseout`
    `protected String` | `onmouseover`
    `protected String` | `onmouseup`
    `protected String` | `onselect`
    `protected String` | `requiredLabel`
    `protected String` | `requiredPosition`
    `protected String` | `tabindex`
    `protected String` | `template`
    `protected String` | `templateDir`
    `protected String` | `theme`
    `protected String` | `title`
    `protected String` | `tooltip`
    `protected String` | `tooltipConfig`
    `protected String` | `tooltipCssClass`
    `protected String` | `tooltipDelay`
    `protected String` | `tooltipIconPath`
    `protected String` | `value`

    - ### Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

      `component`

    - ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `bodyContent`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUITag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `populateParams()`
    `void` | `setAccesskey(String accesskey)`
    `void` | `setClass(String cssClass)`
    `void` | `setCssClass(String cssClass)`
    `void` | `setCssErrorClass(String cssErrorClass)`
    `void` | `setCssErrorStyle(String cssErrorStyle)`
    `void` | `setCssStyle(String cssStyle)`
    `void` | `setDisabled(String disabled)`
    `void` | `setDynamicAttribute(String uri, String localName, Object value)`
    `void` | `setErrorPosition(String errorPosition)`
    `void` | `setId(String id)`
    `void` | `setJavascriptTooltip(String javascriptTooltip)`
    `void` | `setKey(String key)`
    `void` | `setLabel(String label)`
    `void` | `setLabelposition(String labelPosition)`
    `void` | `setLabelSeparator(String labelSeparator)`
    `void` | `setName(String name)`
    `void` | `setOnblur(String onblur)`
    `void` | `setOnchange(String onchange)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnfocus(String onfocus)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnselect(String onselect)`
    `void` | `setRequiredLabel(String requiredLabel)`
    `void` | `setRequiredPosition(String requiredPosition)`
    `void` | `setStyle(String cssStyle)`
    `void` | `setTabindex(String tabindex)`
    `void` | `setTemplate(String template)`
    `void` | `setTemplateDir(String templateDir)`
    `void` | `setTheme(String theme)`
    `void` | `setTitle(String title)`
    `void` | `setTooltip(String tooltip)`
    `void` | `setTooltipConfig(String tooltipConfig)`
    `void` | `setTooltipCssClass(String tooltipCssClass)`
    `void` | `setTooltipDelay(String tooltipDelay)`
    `void` | `setTooltipIconPath(String tooltipIconPath)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

      `doEndTag, doStartTag, getBean, getComponent`

    - ### Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport

      `findString, findValue, findValue, getBody, getStack, toString`

    - ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Field Detail

    - #### cssClass

          protected String cssClass

    - #### cssErrorClass

          protected String cssErrorClass

    - #### cssStyle

          protected String cssStyle

    - #### cssErrorStyle

          protected String cssErrorStyle

    - #### title

          protected String title

    - #### disabled

          protected String disabled

    - #### label

          protected String label

    - #### labelSeparator

          protected String labelSeparator

    - #### labelposition

          protected String labelposition

    - #### requiredPosition

          protected String requiredPosition

    - #### errorPosition

          protected String errorPosition

    - #### name

          protected String name

    - #### requiredLabel

          protected String requiredLabel

    - #### tabindex

          protected String tabindex

    - #### value

          protected String value

    - #### template

          protected String template

    - #### theme

          protected String theme

    - #### templateDir

          protected String templateDir

    - #### onclick

          protected String onclick

    - #### ondblclick

          protected String ondblclick

    - #### onmousedown

          protected String onmousedown

    - #### onmouseup

          protected String onmouseup

    - #### onmouseover

          protected String onmouseover

    - #### onmousemove

          protected String onmousemove

    - #### onmouseout

          protected String onmouseout

    - #### onfocus

          protected String onfocus

    - #### onblur

          protected String onblur

    - #### onkeypress

          protected String onkeypress

    - #### onkeydown

          protected String onkeydown

    - #### onkeyup

          protected String onkeyup

    - #### onselect

          protected String onselect

    - #### onchange

          protected String onchange

    - #### accesskey

          protected String accesskey

    - #### id

          protected String id

    - #### key

          protected String key

    - #### tooltip

          protected String tooltip

    - #### tooltipConfig

          protected String tooltipConfig

    - #### javascriptTooltip

          protected String javascriptTooltip

    - #### tooltipDelay

          protected String tooltipDelay

    - #### tooltipCssClass

          protected String tooltipCssClass

    - #### tooltipIconPath

          protected String tooltipIconPath

    - #### dynamicAttributes

          protected Map<String,Object> dynamicAttributes

  - ### Constructor Detail

    - #### AbstractUITag

          public AbstractUITag()

  - ### Method Detail

    - #### populateParams

          protected void populateParams()

      Overrides:
        `populateParams` in class `ComponentTagSupport`

    - #### setId

          public void setId(String id)

      Overrides:
        `setId` in class `javax.servlet.jsp.tagext.TagSupport`

    - #### setCssClass

          public void setCssClass(String cssClass)

    - #### setClass

          public void setClass(String cssClass)

    - #### setCssStyle

          public void setCssStyle(String cssStyle)

    - #### setStyle

          public void setStyle(String cssStyle)

    - #### setCssErrorClass

          public void setCssErrorClass(String cssErrorClass)

    - #### setCssErrorStyle

          public void setCssErrorStyle(String cssErrorStyle)

    - #### setTitle

          public void setTitle(String title)

    - #### setDisabled

          public void setDisabled(String disabled)

    - #### setLabel

          public void setLabel(String label)

    - #### setLabelposition

          public void setLabelposition(String labelPosition)

    - #### setRequiredPosition

          public void setRequiredPosition(String requiredPosition)

    - #### setErrorPosition

          public void setErrorPosition(String errorPosition)

    - #### setName

          public void setName(String name)

    - #### setRequiredLabel

          public void setRequiredLabel(String requiredLabel)

    - #### setTabindex

          public void setTabindex(String tabindex)

    - #### setValue

          public void setValue(String value)

    - #### setTemplateDir

          public void setTemplateDir(String templateDir)

    - #### setTemplate

          public void setTemplate(String template)

    - #### setTheme

          public void setTheme(String theme)

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### setOnfocus

          public void setOnfocus(String onfocus)

    - #### setOnblur

          public void setOnblur(String onblur)

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### setOnselect

          public void setOnselect(String onselect)

    - #### setOnchange

          public void setOnchange(String onchange)

    - #### setTooltip

          public void setTooltip(String tooltip)

    - #### setTooltipConfig

          public void setTooltipConfig(String tooltipConfig)

    - #### setAccesskey

          public void setAccesskey(String accesskey)

    - #### setKey

          public void setKey(String key)

    - #### setJavascriptTooltip

          public void setJavascriptTooltip(String javascriptTooltip)

    - #### setTooltipCssClass

          public void setTooltipCssClass(String tooltipCssClass)

    - #### setTooltipDelay

          public void setTooltipDelay(String tooltipDelay)

    - #### setTooltipIconPath

          public void setTooltipIconPath(String tooltipIconPath)

    - #### setLabelSeparator

          public void setLabelSeparator(String labelSeparator)

    - #### setDynamicAttribute

          public void setDynamicAttribute(String uri,
                                 String localName,
                                 Object value)
                                   throws javax.servlet.jsp.JspException

      Specified by:
        `setDynamicAttribute` in interface `javax.servlet.jsp.tagext.DynamicAttributes`
      Throws:
        `javax.servlet.jsp.JspException`

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.